/**
 * Header-fil for bane-klassen (Subklasse av ruteklassen)
 * 
 * @file bane.h
 * @author Sondre Sand & Frederik Simonsen
 */
#ifndef __BANE_H
#define __BANE_H

#include <fstream>
#include "rute.h"

/**
 * Bane (med antall vogner og lengde) - Subklasse av Rute
 */
class Bane : public Rute {
    private:
        int antVogner, lengde;
    
    public:
        Bane();
        Bane(std::ifstream & inn);
        virtual void lesData();
        virtual void skrivBeskrivelse();
        virtual void skrivData() const;
        virtual void skrivKort() const;
        virtual void skrivTilFil(std::ofstream & ut);
};

#endif